> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get Chart by ID

GET https://{tenant_name}.benchling.com/api/v3/chart/{chart_id}

Get a single Chart by ID.

Reference: https://docs.benchling.com/docs/api/benchling-api/chart/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `chart_id` (string, required) — ID of the Chart.

### Query parameters

- `returning` (string, optional) — Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
- `omit` (string, optional) — Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

### Headers

- `EARLY-ACCESS` (string, optional) — Set to true to access beta operations via /api/v3.

## Response

### 200

OK

- `__typename` (string, optional)
- `archiveReason` (string, optional, nullable)
- `archived` (boolean, optional)
- `createdAt` (string, optional)
- `creator` (PrincipalRef, optional)
- `id` (string, optional)
- `library` (enum, optional)
  - Allowed values: `PLOTLY`
- `libraryConfig` (map from string to any, optional) — JSON object representing the direct input to a chart library on the front-end.
- `libraryVersion` (string, optional) — Version of the library that the config corresponds to. For example, if the library uses semver, we might store "1.2.3", "1.2.3-alpha.1", ect.
- `modifiedAt` (string, optional)
- `name` (string, optional)
- `originAutomationStep` (AutomationStepRef, optional, nullable) — The automation step that this chart was created from.
- `originAutomationStepDataName` (string, optional, nullable) — The name of the data in originAutomationStep that this chart was created from.
- `rasterConfig` (map from string to any, optional) — Config used to generate the rasterized image of the chart in relation to th library that we're using. For example, in Plotly, this could be: ``` { width: 600 height: 400 scale: 0.5 format: "png" engine: "kaleido" } ```
- `rasterDownloadUrl` (string, optional) — URL to download a rasterized image of the chart. We store these images in perpetuity in case the library and libraryConfig version of the chart can no longer be rendered.
- `rasterExternalFileId` (string, optional)
- `originPipelineStep` (AutomationStepRef, optional, nullable, deprecated) — The pipeline step that this chart was created from.
- `originPipelineStepDataName` (string, optional, nullable, deprecated) — The name of the data in originAutomationStep that this chart was created from.

## Errors

### 400 Chart Get Request Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Chart Get Request Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Chart Get Request Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Chart Get Request Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)
- `violated-policies` (list of enum, optional) — The budget policies that rejected the request, in canonical order: `user`, `integration`, then `tenant`.
  - Allowed values: `user`, `integration`, `tenant`

### 500 Chart Get Request Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### PrincipalRef

- `__typename` (string, optional)
- `id` (string, optional)

### AutomationStepRef

- `__typename` (string, optional)
- `id` (string, optional)

### GeneralErrorDetail

### TooManyRequestsErrorBodyDetail

### InternalServerErrorBodyDetail

## Examples

**Response**

```json
{
  "__typename": "__typename",
  "archiveReason": "archiveReason",
  "archived": true,
  "createdAt": "createdAt",
  "creator": {
    "__typename": "__typename",
    "id": "id"
  },
  "id": "id",
  "library": "PLOTLY",
  "libraryConfig": {
    "key": "value"
  },
  "libraryVersion": "libraryVersion",
  "modifiedAt": "modifiedAt",
  "name": "name",
  "originAutomationStep": {
    "__typename": "__typename",
    "id": "id"
  },
  "originAutomationStepDataName": "originAutomationStepDataName",
  "rasterConfig": {
    "key": "value"
  },
  "rasterDownloadUrl": "rasterDownloadUrl",
  "rasterExternalFileId": "rasterExternalFileId",
  "originPipelineStep": {
    "__typename": "__typename",
    "id": "id"
  }
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/chart/chart_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/chart/chart_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```